﻿
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Dictee.Models;
using MimeKit;
using MailKit.Net.Smtp;

namespace Dictee.Controllers
{
    public class InscriptionsController : Controller
    {
        private readonly InscriptionContext _context;

        public InscriptionsController(InscriptionContext context)
        {
            _context = context;
        }

        // GET: Inscriptions

        // GET: Inscriptions/Create
        public IActionResult Create()
        {
            return View();
        }

        public IActionResult Confirmation()
        {
            return View();
        }

        // POST: Inscriptions/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create([Bind("ID,Nom,Prenom,Telephone,Campus,Langue,Naissance,NomEcole,Profession,Email,Password,ConfirmPassword")] Inscription inscription)
        {
            if (ModelState.IsValid)
            {
              
                _context.Add(inscription);

                var message = new MimeMessage();
                message.From.Add(new MailboxAddress("Confirmation", "dicteeacadie@gmail.com"));
                message.To.Add(new MailboxAddress(inscription.Nom +" " + inscription.Prenom, inscription.Email));

                message.Subject = "Confirmation d'inscription.";

                var bodyBuilder = new BodyBuilder();
                bodyBuilder.HtmlBody = "Bonjour " + inscription.Prenom + @",<br/> 
                                        Ceci confirme votre participation à la Grande dictée de l'Acadie. <br/>
                                        Au plaisir de vous voir le 17 mars à " + inscription.Campus + ".<br/> f.abaque.ca/dictee";

                message.Body = bodyBuilder.ToMessageBody();
         
                using (var client = new SmtpClient())
                {
                    client.Connect("smtp.gmail.com",587,false);
                    client.Authenticate("dicteeacadie@gmail.com", "Acadie123456789");
                    client.Send(message);
                    client.Disconnect(true);
                }
              
                await _context.SaveChangesAsync();
                return RedirectToAction(nameof(Confirmation));
            }
            return View(inscription);
        }
    }
}
