﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace Dictee.Models
{
    public class Inscription
    {
        [Key]
        public int ID { get; set; }

        [Required]
        public string Nom { get; set; }

        [Required]
        public string Prenom { get; set; }

        [Required]
        public string Telephone { get; set; }

        [Required]
        public string Campus { get; set; }

        [Required]
        public string Langue { get; set; }

        [Required]
        [Display(Name = "Date de naissance")]
        public int Naissance { get; set; }

        [Display(Name = "Nom de l'ecole")]
        public string NomEcole { get; set; }

        public string Profession { get; set; }

        [Required]
        [EmailAddress]
        [Display(Name = "Email")]
        public string Email { get; set; }

    }

    public enum Campus
    {
        [Display(Name = "Edmundston")]
        Edmundston,
        [Display(Name = "Moncton")]
        Moncton,
        [Display(Name = "Shippagan")]
        Shippagan
    }
}
